Solaris 10 10/09 Release Notes

SPARC: Older Firmware Might Need Boot Flash PROM Update

On SPARC based systems, Solaris 10 OS runs in 64–bit mode only. Some Sun4UTM systems might need to be updated to a higher level of OpenBootTM firmware in the flash PROM to run the OS in 64-bit mode. The following systems might require a flash PROM update:

The following table lists the UltraSPARC systems and the minimum firmware versions that are required to run the 64–bit Solaris 10 OS. System type is the equivalent of the output of the uname -i command. You can determine which firmware version you are running by using the prtconf -V command.

Table 1–1 Minimum Firmware Versions Required to Run 64–Bit Solaris Software on UltraSPARC Systems

System Type From uname -i

Minimum Firmware Version From prtconf -V







If a system is not listed in the previous table, the system does not need a flash PROM update. For instructions to perform a flash PROM update, see any edition of the Solaris 8 Sun Hardware Platform Guide at

Note –

Upgrading firmware on both SPARC and x86 systems can lead to significant performance improvements. See the Firmware section on the BigAdmin Patching Hub at See also, the FAQ at